[arch-commits] Commit in deepin-qt5integration/repos (4 files)

Felix Yan felixonmars at archlinux.org
Wed Mar 22 09:26:54 UTC 2017


    Date: Wednesday, March 22, 2017 @ 09:26:53
  Author: felixonmars
Revision: 218369

archrelease: copy trunk to community-i686, community-x86_64

Added:
  deepin-qt5integration/repos/community-i686/PKGBUILD
    (from rev 218368, deepin-qt5integration/trunk/PKGBUILD)
  deepin-qt5integration/repos/community-x86_64/PKGBUILD
    (from rev 218368, deepin-qt5integration/trunk/PKGBUILD)
Deleted:
  deepin-qt5integration/repos/community-i686/PKGBUILD
  deepin-qt5integration/repos/community-x86_64/PKGBUILD

---------------------------+
 /PKGBUILD                 |   70 ++++++++++++++++++++++++++++++++++++++++++++
 community-i686/PKGBUILD   |   35 ----------------------
 community-x86_64/PKGBUILD |   35 ----------------------
 3 files changed, 70 insertions(+), 70 deletions(-)

Deleted: community-i686/PKGBUILD
===================================================================
--- community-i686/PKGBUILD	2017-03-22 09:26:11 UTC (rev 218368)
+++ community-i686/PKGBUILD	2017-03-22 09:26:53 UTC (rev 218369)
@@ -1,35 +0,0 @@
-# $Id$
-# Maintainer: Felix Yan <felixonmars at archlinux.org>
-
-pkgname=deepin-qt5integration
-pkgver=0.1.3
-pkgrel=1
-pkgdesc='Deepin Qt5 platform plugin'
-arch=('i686' 'x86_64')
-url="http://github.com/linuxdeepin/qt5integration"
-license=('GPL3')
-depends=('deepin-tool-kit' 'libqtxdg' 'gtk2')
-makedepends=('git' 'xcb-util-renderutil' 'deepin-file-manager')
-replaces=('qt5dxcb-plugin')
-conflicts=('qt5dxcb-plugin')
-groups=('deepin')
-source=("git+https://cr.deepin.io/qt5integration.git#tag=$pkgver"
-        "libqt5xcbqpa-dev::git+https://github.com/zccrs/libqt5xcbqpa-dev.git")
-sha256sums=('SKIP'
-            'SKIP')
-
-prepare() {
-  cd qt5integration
-  ln -s ../../libqt5xcbqpa-dev ./platformplugin/libqt5xcbqpa-dev
-}
-
-build() {
-  cd qt5integration
-  qmake-qt5 QMAKE_CFLAGS_ISYSTEM= PREFIX=/usr
-  make
-}
-
-package() {
-  cd qt5integration
-  make INSTALL_ROOT="$pkgdir" install
-}

Copied: deepin-qt5integration/repos/community-i686/PKGBUILD (from rev 218368, deepin-qt5integration/trunk/PKGBUILD)
===================================================================
--- community-i686/PKGBUILD	                        (rev 0)
+++ community-i686/PKGBUILD	2017-03-22 09:26:53 UTC (rev 218369)
@@ -0,0 +1,35 @@
+# $Id$
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+
+pkgname=deepin-qt5integration
+pkgver=0.1.4
+pkgrel=1
+pkgdesc='Deepin Qt5 platform plugin'
+arch=('i686' 'x86_64')
+url="http://github.com/linuxdeepin/qt5integration"
+license=('GPL3')
+depends=('deepin-tool-kit' 'libqtxdg' 'gtk2')
+makedepends=('git' 'xcb-util-renderutil' 'deepin-file-manager')
+replaces=('qt5dxcb-plugin')
+conflicts=('qt5dxcb-plugin')
+groups=('deepin')
+source=("$pkgname-$pkgver.tar.gz::https://github.com/linuxdeepin/qt5integration/archive/$pkgver.tar.gz"
+        "libqt5xcbqpa-dev::git+https://github.com/zccrs/libqt5xcbqpa-dev.git")
+sha512sums=('ebd32a87e201127be0158a50280b64a1a5c2fde92eab7eb8693604af0d613431b028f2e80d11abcec9b2e12087d057c8fd89f7b62742700f1022704b8b963b4d'
+            'SKIP')
+
+prepare() {
+  cd qt5integration-$pkgver
+  ln -s ../../libqt5xcbqpa-dev ./platformplugin/libqt5xcbqpa-dev
+}
+
+build() {
+  cd qt5integration-$pkgver
+  qmake-qt5 QMAKE_CFLAGS_ISYSTEM= PREFIX=/usr
+  make
+}
+
+package() {
+  cd qt5integration-$pkgver
+  make INSTALL_ROOT="$pkgdir" install
+}

Deleted: community-x86_64/PKGBUILD
===================================================================
--- community-x86_64/PKGBUILD	2017-03-22 09:26:11 UTC (rev 218368)
+++ community-x86_64/PKGBUILD	2017-03-22 09:26:53 UTC (rev 218369)
@@ -1,35 +0,0 @@
-# $Id$
-# Maintainer: Felix Yan <felixonmars at archlinux.org>
-
-pkgname=deepin-qt5integration
-pkgver=0.1.3
-pkgrel=1
-pkgdesc='Deepin Qt5 platform plugin'
-arch=('i686' 'x86_64')
-url="http://github.com/linuxdeepin/qt5integration"
-license=('GPL3')
-depends=('deepin-tool-kit' 'libqtxdg' 'gtk2')
-makedepends=('git' 'xcb-util-renderutil' 'deepin-file-manager')
-replaces=('qt5dxcb-plugin')
-conflicts=('qt5dxcb-plugin')
-groups=('deepin')
-source=("git+https://cr.deepin.io/qt5integration.git#tag=$pkgver"
-        "libqt5xcbqpa-dev::git+https://github.com/zccrs/libqt5xcbqpa-dev.git")
-sha256sums=('SKIP'
-            'SKIP')
-
-prepare() {
-  cd qt5integration
-  ln -s ../../libqt5xcbqpa-dev ./platformplugin/libqt5xcbqpa-dev
-}
-
-build() {
-  cd qt5integration
-  qmake-qt5 QMAKE_CFLAGS_ISYSTEM= PREFIX=/usr
-  make
-}
-
-package() {
-  cd qt5integration
-  make INSTALL_ROOT="$pkgdir" install
-}

Copied: deepin-qt5integration/repos/community-x86_64/PKGBUILD (from rev 218368, deepin-qt5integration/trunk/PKGBUILD)
===================================================================
--- community-x86_64/PKGBUILD	                        (rev 0)
+++ community-x86_64/PKGBUILD	2017-03-22 09:26:53 UTC (rev 218369)
@@ -0,0 +1,35 @@
+# $Id$
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+
+pkgname=deepin-qt5integration
+pkgver=0.1.4
+pkgrel=1
+pkgdesc='Deepin Qt5 platform plugin'
+arch=('i686' 'x86_64')
+url="http://github.com/linuxdeepin/qt5integration"
+license=('GPL3')
+depends=('deepin-tool-kit' 'libqtxdg' 'gtk2')
+makedepends=('git' 'xcb-util-renderutil' 'deepin-file-manager')
+replaces=('qt5dxcb-plugin')
+conflicts=('qt5dxcb-plugin')
+groups=('deepin')
+source=("$pkgname-$pkgver.tar.gz::https://github.com/linuxdeepin/qt5integration/archive/$pkgver.tar.gz"
+        "libqt5xcbqpa-dev::git+https://github.com/zccrs/libqt5xcbqpa-dev.git")
+sha512sums=('ebd32a87e201127be0158a50280b64a1a5c2fde92eab7eb8693604af0d613431b028f2e80d11abcec9b2e12087d057c8fd89f7b62742700f1022704b8b963b4d'
+            'SKIP')
+
+prepare() {
+  cd qt5integration-$pkgver
+  ln -s ../../libqt5xcbqpa-dev ./platformplugin/libqt5xcbqpa-dev
+}
+
+build() {
+  cd qt5integration-$pkgver
+  qmake-qt5 QMAKE_CFLAGS_ISYSTEM= PREFIX=/usr
+  make
+}
+
+package() {
+  cd qt5integration-$pkgver
+  make INSTALL_ROOT="$pkgdir" install
+}


More information about the arch-commits mailing list